
import java.util.Arrays;
import java.util.Random;

public class SearchTreeTest {

    public static void main(String[] args) {
        int N = 20;

        int T[] = new int[20];

        Random rGen = new Random();



        for (int i = 0; i < N; i++) {
            T[i] = rGen.nextInt(100);
        }

        System.out.println("T:");
        for (int i = 0; i < N; i++) {
            System.out.format("%d ", T[i]);
        }
        System.out.println();

        SearchTree tree = new SearchTree();

        for (int i = 0; i < N; i++) {
            tree.insert(T[i]);
        }

        Arrays.sort(T);


        System.out.println("T(sorted):");
        for (int i = 0; i < N; i++) {
            System.out.format("%d ", T[i]);
        }
        System.out.println();

        for (int i = 0; i < N; i++) {
            System.out.format("Search(%d): %d\n", T[i], tree.search(T[i]));
        }

        System.out.format("Min: %d\n", tree.min());
        System.out.format("Max: %d\n", tree.max());

        for (int i = 0; i <=100; i+=5) {
            System.out.format("Lower(%d): %d\tUpper(%d): %d\n", i, tree.lower(i), i, tree.upper(i));
        }   
        
    }
}
